# Allocation Graph
### Table of contents
<ol>
  <li>
    <a href="#installation">Installation</a>
  </li>
  <li>
    <a href="#usage">Usage</a>
  </li>
  <li>
    <a href="#properties">Properties</a>
  </li>
</ol>

### Installation
#### NPM
```javascript
npm i @ppci/allocation-graph

// Polyfill: https://lit-element.polymer-project.org/guide/use#polyfills
npm i --save-dev @webcomponents/webcomponentsjs
```

### Usage
#### Javascript
```javascript
import '@ppci/allocation-graph'
```

#### Browser
```html
<!-- Default -->
<script type="module" src="https://cdn.jsdelivr.net/npm/@ppci/allocation-graph/builds/index.min.js" />

<!-- Legacy -->
<script type="module" src="https://cdn.jsdelivr.net/npm/@ppci/allocation-graph/builds/legacy.min.js" />

<!-- Component -->
<allocation-graph
  deviceId=${String}
  direction=${String}
></allocation-graph>
```

### Properties
<table width="100%">
  <thead>
    <tr>
      <td>Property</td>
      <td>Type</td>
      <td>Description</td>
      <td>Possible Values</td>
    </tr>
  </thead>
  <tr>
    <td>*deviceId*</td>
    <td>String</td>
    <td>Show data for this device</td>
    <td></td>
  </tr>
  <tr>
    <td>*direction*</td>
    <td>String</td>
    <td>Data direction</td>
    <td>usage/delivery</td>
  </tr>
</table>
